Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

resolve-extends includes @types/node as a runtime dependency #874

Closed
dieseldjango opened this issue Dec 11, 2019 · 3 comments
Closed

resolve-extends includes @types/node as a runtime dependency #874

dieseldjango opened this issue Dec 11, 2019 · 3 comments

Comments

@dieseldjango
Copy link

@dieseldjango dieseldjango commented Dec 11, 2019

The package.json for resolve-extends lists @types/node as a dependency. Installing this types package in some project types, like React Native, causes conflicts.

Expected Behavior

Could @types/node only be a devDependency?

Current Behavior

Affected packages

  • cli
  • core
  • prompt
  • config-angular

Possible Solution

Move @types/node to devDependencies

Context

I'm trying to use commitlint in a repository for a React Native package, but @types/node causes conflicts when installed.

Your Environment

Executable Version
commitlint --version 8.2.0
git --version 2.23.0
node --version 10.15.3
@rajzik
Copy link
Contributor

@rajzik rajzik commented Dec 28, 2019

+1

@escapedcat
Copy link
Collaborator

@escapedcat escapedcat commented Dec 28, 2019

We're happy to receive a PR for this.

rajzik added a commit to rajzik/commitlint that referenced this issue Dec 29, 2019
@rajzik rajzik mentioned this issue Dec 29, 2019
1 of 7 tasks complete
wKich added a commit to wKich/creevey that referenced this issue Dec 30, 2019
@rajzik
Copy link
Contributor

@rajzik rajzik commented Jan 2, 2020

@escapedcat PR opened.

byCedric added a commit that referenced this issue Jan 15, 2020
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Linked pull requests

Successfully merging a pull request may close this issue.

3 participants
You can’t perform that action at this time.